# Interface TwinFilePut

interface TwinFilePut {
comment?: string;
etag?: string;
isDeleted?: boolean;
name: string;
quality: null | number;
source: TwinFileSource;
transform?: TwinFileTransform;
}

##### Index

### Properties

comment?
etag?
isDeleted?
name
quality
source
transform?

## Properties

### `Optional` comment

comment?: string

### `Optional` etag

etag?: string

### `Optional` isDeleted

isDeleted?: boolean

### name

name: string

### quality

quality: null | number

### source

source: TwinFileSource

### `Optional` transform

transform?: TwinFileTransform